# /font

{% hint style="info" %}
This endpoint will require a POST request.&#x20;
{% endhint %}

### Endpoint Headers:

* apikey - Your Api Auth Key <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)

### Endpoint Body Parameters

* font - Font to use <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;
* text - Text to convert <mark style="color:orange;">**\[String]**</mark> (<mark style="color:red;">**Required**</mark>)&#x20;

<details>

<summary>List of Available Fonts</summary>

arrow-below - A͎r͎r͎o͎w͎ B͎e͎l͎o͎w͎

asterisk - A͙s͙t͙e͙r͙i͙s͙k͙

binary - 01000010 01001001 01001110 01000001 01010010 01011001

brackets-bold - 【B】【r】【a】【c】【k】【e】【t】【s】 【B】【o】【l】【d】

brackets-outline - 『B』『r』『a』『c』『k』『e』『t』『s』 『O』『u』『t』『l』『i』『n』『e』

brackets - \[̲̅B]\[̲̅r]\[̲̅a]\[̲̅c]\[̲̅k]\[̲̅e]\[̲̅t]\[̲̅s]

bridge-above - B͆r͆i͆d͆g͆e͆ A͆b͆o͆v͆e͆

bridge-below - B̺r̺i̺d̺g̺e̺ B̺e̺l̺o̺w̺

checked - C᩶h᩶e᩶c᩶k᩶e᩶d᩶

circle-black - 🅒🅘🅡🅒🅛🅔 🅑🅛🅐🅒🅚

circle-white - Ⓒⓘⓡⓒⓛⓔ Ⓦⓗⓘⓣⓔ

clouds - C͡l͡o͡u͡d͡s͡

currency - ₵ɄⱤⱤɆ₦₵Ɏ

curvy - ᑕᑌᖇᐯY

devlish - ԃҽʋʅιʂԋ

dot-above - Ḋȯṫ Ȧḃȯv̇ė

fairy - ᎦᏗᎥᏒᎩ

fraktur-bold - 𝕱𝖗𝖆𝖐𝖙𝖚𝖗 𝕭𝖔𝖑𝖉

fraktur - 𝔉𝔯𝔞𝔨𝔱𝔲𝔯

full-width - Ｆｕｌｌ Ｗｉｄｔｈ

gothic-bold - 𝕲𝖔𝖙𝖍𝖎𝖈 𝕭𝖔𝖑𝖉

gothic - 𝔊𝔬𝔱𝔥𝔦𝔠

happy - H̐̈a̐̈p̐̈p̐̈y̐̈

leet - 1337

lightning - L͛i͛g͛h͛t͛n͛i͛n͛g͛

lines - ̿͟͞L̿͟͞i̿͟͞n̿͟͞e̿͟͞s̿͟͞

manga - 爪卂几Ꮆ卂

medieval - 𝕸𝖊𝖉𝖎𝖊𝖛𝖆𝖑

morse - -----.-.....

old-italic - Ꝋ𐌋𐌃 𐌉𐌕𐌀𐌋𐌉𐌂

outline - 𝕆𝕦𝕥𝕝𝕚𝕟𝕖

overline - O͞v͞e͞r͞l͞i͞n͞e͞

plus-below - P̟l̟u̟s̟ B̟e̟l̟o̟w̟

rings - R̥ͦi̥ͦn̥ͦg̥ͦs̥ͦ

sad - S̑̈ȃ̈d̑̈

script-bold - 𝓢𝓬𝓻𝓲𝓹𝓽 𝓑𝓸𝓵𝓭

script - 𝒮𝒸𝓇𝒾𝓅𝓉

serif-bold - 𝐒𝐞𝐫𝐢𝐟 𝐁𝐨𝐥𝐝

serif-italic - 𝑆𝑒𝑟𝑖𝑓 𝐼𝑡𝑎𝑙𝑖𝑐

slash - S̷l̷a̷s̷h̷

smooth - ʂɱσσƚԋ

square-black - 🆂🆀🆄🅰🆁🅴 🅱🅻🅰🅲🅺

square-white - 🅂🅀🅄🄰🅁🄴 🅆🄷🄸🅃🄴

squiggle - ꇙꆰ꒤꒐ꍌꍌ꒒ꏂ

swap - Ŝ̬ŵ̬â̬p̬̂

tiny - ᵀᶦⁿʸ

typewriter - 𝚃𝚢𝚙𝚎𝚠𝚛𝚒𝚝𝚎𝚛

underline - U͟n͟d͟e͟r͟l͟i͟n͟e͟

upsidedown - ∩dsıpǝpoʍu

wizard - աɨʐǟʀɖ

</details>

### Examples:

{% hint style="info" %}
Data API version required. Must replace `<version>` with either **release** or **beta**.
{% endhint %}

<details>

<summary>Bot Designer for Discord</summary>

Example usage of `/font` endpoint using BDFD

```bash
$httpAddHeader[apikey;<YOUR-API-KEY>]
$httpPost[https://bdfddata.rickyjs.xyz/<version>/font;{
font: 'fraktur',
text: 'test'
}]


$httpResult OR $httpResult[details]
```

</details>

<details>

<summary>Discord.js</summary>

Example usage of `/font` endpoint using Discord.js

```javascript
const axios = require('axios');
(async () => {
return await axios.post('https://bdfddata.rickyjs.xyz/<version>/font', 
{  font: 'fraktur',
text: 'test'
}, { 
headers: {
'apikey': <YOUR-API-KEY>,
}
}).then(res=>res.data)
})()
```

</details>

### Possible Responses (Codes)

<details>

<summary>Code 200 </summary>

API succeeded and details were fetched.

```javascript
{
 status: 200,
 details: '𝔱𝔢𝔰𝔱'
  //result is based off your input and may not be what you're expecting
  // this result is based off the examples used above.
}}
```

</details>

<details>

<summary>Code 400</summary>

An error occurred that stopped execution.

```javascript
{
    status: 400
    error: 'Cannot read ...  (This can vary)'
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dadocs.rickyjs.xyz/endpoints/font.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
